Texa DeskDevelopers

Texa Desk Application API · Reports

Get Account reports

GET/api/v2/accounts/{account_id}/reports

Get Account reports for a specific type, metric and date range

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

Query parameters

metricstringrequired

The type of metric

typestringrequired

Type of report

idstring

The Id of specific object in case of agent/inbox/label

sincestring

The timestamp from where report should start.

untilstring

The timestamp from where report should stop.

Responses

200

Success

valuestring
timestampnumber
404

reports not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring